## Test the optimal point.

unit_test_equals("powell1([0;0;0;0]) == 0", ...
		 0, ...
		 powell1([0;0;0;0]));

## It should fail with the wrong number of coordinates.
f = powell1([1;2;3]);
unit_test_equals("powell1 fails with too few coordinates", ...
		 true, ...
		 isna(f));

f = powell1([1;2;3;4;5]);
unit_test_equals("powell1 fails with too many coordinates", ...
		 true, ...
		 isna(f));
