function H = rosenbrock_hessian(x1, x2)
  ##
  ## The Hessian of the Rosenbrock function. See rosenbrock.m for more
  ## information.
  ##
  H = zeros(2,2);
  H(1,1) = 1200*x1^2 - 400*x2 + 2;
  H(1,2) = -400*x1;
  H(2,1) = H(1,2);
  H(2,2) = 200;
end
