function H = rosenbrock_hessian1(x)
  ##
  ## A version of the rosenbrock_hessian() function which takes a column
  ## 2-vector instead of two distinct arguments. See rosenbrock_hessian.m
  ## for more information.
  ##
  if (length(x) == 2)
    H = rosenbrock_hessian(x(1), x(2));
  else
    H = NA;
  end
end
