function f = wood(x1, x2, x3, x4)
  ##
  ## The Wood function. See Dennis & Schnabel, Appendix B, problem #5.
  ## This function has a global minimum at x=(1,1,1,1) with f(x) == 0.
  ## The suggested starting point is x0=(-3, -1, -3, -1).
  ##
  f = 100*(x1^2 - x2)^2 + (x1 - 1)^2 + (x3 - 1)^2;
  f = f + 90*(x3^2 - x4)^2;
  f = f + 10.1*((x2 - 1)^2 + (x4 - 1)^2);
  f = f + 19.8*(x2 - 1)*(x4 - 1);
end
